# Get a single job

Launch stage: GA

`GET /api/2.2/jobs/get`

Retrieves the details for a single job.

 Large arrays in the results will be paginated when they exceed 100 elements.
 A request for a single job will return all properties for that job, and the first 100 elements of array properties (`tasks`, `job_clusters`, `environments` and `parameters`).
 Use the `next_page_token` field to check for more results and pass its value as the `page_token` in subsequent requests.
 If any array properties have more than 100 elements, additional results will be returned on subsequent requests. Arrays without additional results will be empty on later pages.

API scopes: jobs

## Query parameters

- `job_id` (int64, required, ID, Immutable)
  The canonical identifier of the job to retrieve information about. This field is required.
  Example: `11223344`
- `include_trigger_state` (boolean, optional)
  Flag that indicates that trigger state should be included in the response.
  Default: `false`
- `page_token` (string, optional)
  Use `next_page_token` returned from the previous GetJob response to request the next page of the job's array properties.
  Example: `CAAos-uriYcxMN7_rt_v7B4=`

## Returns

Returns the GetJobResponse object.

## Response

```json
{
  "next_page_token": "CAAos-uriYcxMN7_rt_v7B4=",
  "job_id": 11223344,
  "creator_user_name": "user.name@databricks.com",
  "run_as_user_name": "user.name@databricks.com",
  "settings": {
    "name": "A multitask job",
    "description": "This job contain multiple tasks that are required to produce the weekly shark sightings report.",
    "email_notifications": {},
    "webhook_notifications": {},
    "notification_settings": {},
    "timeout_seconds": 86400,
    "health": {},
    "schedule": {},
    "trigger": {},
    "continuous": {},
    "max_concurrent_runs": 10,
    "tasks": [
      {
        "depends_on": [],
        "description": "Extracts session data from events",
        "existing_cluster_id": "0923-164208-meows279",
        "libraries": [
          {
            "jar": "dbfs:/mnt/databricks/Sessionize.jar"
          }
        ],
        "max_retries": 3,
        "min_retry_interval_millis": 2000,
        "retry_on_timeout": false,
        "spark_jar_task": {
          "main_class_name": "com.databricks.Sessionize",
          "parameters": [
            "--data",
            "dbfs:/path/to/data.json"
          ]
        },
        "task_key": "Sessionize",
        "timeout_seconds": 86400
      },
      {
        "depends_on": [],
        "description": "Ingests order data",
        "job_cluster_key": "auto_scaling_cluster",
        "libraries": [
          {
            "jar": "dbfs:/mnt/databricks/OrderIngest.jar"
          }
        ],
        "max_retries": 3,
        "min_retry_interval_millis": 2000,
        "retry_on_timeout": false,
        "spark_jar_task": {
          "main_class_name": "com.databricks.OrdersIngest",
          "parameters": [
            "--data",
            "dbfs:/path/to/order-data.json"
          ]
        },
        "task_key": "Orders_Ingest",
        "timeout_seconds": 86400
      },
      {
        "depends_on": [
          {
            "task_key": "Orders_Ingest"
          },
          {
            "task_key": "Sessionize"
          }
        ],
        "description": "Matches orders with user sessions",
        "max_retries": 3,
        "min_retry_interval_millis": 2000,
        "new_cluster": {
          "autoscale": {
            "max_workers": 16,
            "min_workers": 2
          },
          "node_type_id": null,
          "spark_conf": {
            "spark.speculation": true
          },
          "spark_version": "7.3.x-scala2.12"
        },
        "notebook_task": {
          "base_parameters": {
            "age": "35",
            "name": "John Doe"
          },
          "notebook_path": "/Users/user.name@databricks.com/Match"
        },
        "retry_on_timeout": false,
        "run_if": "ALL_SUCCESS",
        "task_key": "Match",
        "timeout_seconds": 86400
      }
    ],
    "job_clusters": [
      {
        "job_cluster_key": "auto_scaling_cluster",
        "new_cluster": {
          "autoscale": {
            "max_workers": 16,
            "min_workers": 2
          },
          "node_type_id": null,
          "spark_conf": {
            "spark.speculation": true
          },
          "spark_version": "7.3.x-scala2.12"
        }
      }
    ],
    "git_source": {},
    "tags": {
      "cost-center": "engineering",
      "team": "jobs"
    },
    "format": "MULTI_TASK",
    "queue": {},
    "parameters": [
      {}
    ],
    "run_as": {},
    "edit_mode": "UI_LOCKED",
    "deployment": {},
    "environments": [
      {}
    ],
    "budget_policy_id": "550e8400-e29b-41d4-a716-446655440000",
    "performance_target": "PERFORMANCE_OPTIMIZED",
    "triggers": [
      {}
    ],
    "environment_variables": [
      {}
    ],
    "max_retries": 10,
    "min_retry_interval_millis": 2000,
    "retry_on_timeout": true,
    "disable_auto_optimization": true
  },
  "created_time": 1601370337343,
  "trigger_state": {
    "table": {},
    "file_arrival": {}
  },
  "has_more": true,
  "effective_budget_policy_id": "string",
  "trigger_details": [
    {
      "state": {},
      "history": {}
    }
  ]
}
```

